[CentOS-devel] [PATCH] SCL macros can prevent rpmbuild from examining some spec files.

Pat Riehecky riehecky at fnal.gov
Mon Jul 21 20:04:08 UTC 2014


From: Pat Riehecky <riehecky at fnal.gov>

---
 into_srpm.sh      |    8 ++++++++
 return_disttag.sh |    6 ++++++
 2 files changed, 14 insertions(+), 0 deletions(-)

diff --git a/into_srpm.sh b/into_srpm.sh
index 8c2434c..a0b2d6e 100755
--- a/into_srpm.sh
+++ b/into_srpm.sh
@@ -134,6 +134,14 @@ if [[ $? -ne 0 ]]; then
     exit 1
 fi
 
+if [[ ${ALLOWSCL} -eq 1 ]]; then
+    rpm -q scl-utils-build >/dev/null 2>&1
+    if [[ $? -ne 0 ]]; then
+        echo 'Without scl-utils-build some SCL style sources be parsed' >&2
+        exit 1
+    fi
+fi
+
 # Set us to requested branch for further operations
 if [[ "x${BRANCH}" != 'x' ]]; then
     if [[ $QUIET -eq 1 ]]; then
diff --git a/return_disttag.sh b/return_disttag.sh
index dcde8e8..e846692 100755
--- a/return_disttag.sh
+++ b/return_disttag.sh
@@ -76,6 +76,12 @@ if [[ ! -d .git ]] || [[ ! -d SPECS ]]; then
     exit 1
 fi
 
+rpm -q scl-utils-build >/dev/null 2>&1
+if [[ $? -ne 0 ]]; then
+    echo 'Without scl-utils-build some SCL style sources be parsed' >&2
+    exit 1
+fi
+
 # check metadata file and extract package name
 packagename=""
 shopt -s nullglob
-- 
1.7.1




More information about the CentOS-devel mailing list